Last Comment Bug 699541 - Pasted HTML shows twice in Orion
: Pasted HTML shows twice in Orion
Status: RESOLVED FIXED
[sourceeditor][orion][fixed-in-fx-team]
:
Product: Firefox
Classification: Client Software
Component: Developer Tools (show other bugs)
: Trunk
: All All
: P1 normal (vote)
: Firefox 10
Assigned To: Mihai Sucan [:msucan]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-03 13:10 PDT by Mihai Sucan [:msucan]
Modified: 2011-11-05 06:20 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
proposed fix (4.78 KB, patch)
2011-11-03 13:21 PDT, Mihai Sucan [:msucan]
rcampbell: review+
Details | Diff | Splinter Review

Description Mihai Sucan [:msucan] 2011-11-03 13:10:30 PDT
(cross-post from https://bugs.eclipse.org/bugs/show_bug.cgi?id=362835 )

STR:

1. Open Scratchpad.
2. Select some HTML from any tab and Paste into Scratchpad.
3. Notice how the pasted text shows twice.

If you use Edit > Paste you also get:

Error: An error occurred executing the cmd_paste command: [Exception...
"Component returned failure code: 0x80004005 (NS_ERROR_FAILURE)
[nsIController.doCommand]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)" 
location: "JS frame :: chrome://global/content/globalOverlay.js :: goDoCommand
:: line 96"  data: no]
Source File: chrome://global/content/globalOverlay.js
Line: 100

(in the Error Console)
Comment 1 Mihai Sucan [:msucan] 2011-11-03 13:21:48 PDT
Created attachment 571751 [details] [diff] [review]
proposed fix

This is the proposed fix and a test.

I provided detailed description of the fix upstream. Please see:

https://bugs.eclipse.org/bugs/show_bug.cgi?id=362835#c0

Please let me know if anything needs to change. Thank you!
Comment 2 Mihai Sucan [:msucan] 2011-11-03 13:27:35 PDT
Forgot to mention I also pushed the patch to the try server:

https://tbpl.mozilla.org/?tree=Try&rev=11995cd8f63f
Comment 3 Rob Campbell [:rc] (:robcee) 2011-11-04 09:47:27 PDT
https://hg.mozilla.org/integration/fx-team/rev/8a0ec6782f96
Comment 4 Mihai Sucan [:msucan] 2011-11-04 14:16:25 PDT
This fix has also landed upstream.
Comment 5 Rob Campbell [:rc] (:robcee) 2011-11-05 06:20:30 PDT
https://hg.mozilla.org/mozilla-central/rev/8a0ec6782f96

Note You need to log in before you can comment on or make changes to this bug.